> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Address Tags

> Generates a temporary download URL for the addresses tagged with a given label (CSV or ZIP file).

<Note>
  Metadata Exports are available exclusively to [Enterprise plan](https://etherscan.io/api/pricing) customers. [Contact Sales](https://etherscan.io/api/pricing#contactSection) to explore Enterprise access.
</Note>

<Warning>
  This endpoint is throttled to 2 calls/s and 100 calls/day
</Warning>

<Tip>
  The `result` is a temporary download link, not the data itself. Fetch that URL within 5 minutes to download the export (CSV or ZIP, set by the `format` parameter). To find valid `label` values, see [Export Label Master List](/api-reference/endpoint/getlabelmasterlist-v2).
</Tip>

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": "https://metadata-export.etherscan.io/1/ofac-sanctioned_latest_nametags.csv?X-Amz-Expires=300&response-content-disposition=attachment%3B%20filename%3Dexport-ofac-sanctioned_latest_nametags.csv&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=0056c267039aefa0000000005/20260305/us-east-005/s3/aws4_request&X-Amz-Date=20260305T082747Z&X-Amz-SignedHeaders=host&X-Amz-Signature=ab0edf183956eb13c3cf58d38d6388e8cf16e2e9ec66f51b8ac00766b01b88ae"
  }
  ```

  ```csv Downloaded CSV theme={null}
  "address";"nametag";"internal_nametag";"url";"shortdescription";"notes_1";"notes_2";"labels";"labels_slug";"reputation";"other_attributes";"lastupdatedtimestamp"
  "0x0000000000000000000000000000000000001111";"Fake_Phishing589039";"";"";"";"There are reports that this address was used in a Phishing scam. Please exercise caution when interacting with it. Reported by HashDit.";"";"Phish / Hack";"phish-hack";"2";"";"1728292621"
  "0x00000000001adc2c0b202d0f72ad9d50f0675296";"Fake_Phishing1334182";"";"";"";"There are reports that this address was used in a Phishing scam. Please exercise caution when interacting with it. Reported by BlockSec.";"";"Phish / Hack";"phish-hack";"2";"";"1757057505"
  "0x00000000006a2b6820feb8d5ac00cb6800795d8f";"Fake_Phishing326507";"";"";"";"There are reports that this address was used in a Phishing scam. Please exercise caution when interacting with it.";"";"Phish / Hack";"phish-hack";"2";"";"1711418316"
  "0x0000000000d67e5d5f991a40f04ed40fa3b150df";"Fake_Phishing326508";"";"";"";"There are reports that this address was used in a Phishing scam. Please exercise caution when interacting with it.";"";"Phish / Hack";"phish-hack";"2";"";"1711418362"
  "0x0000000000e7f7e18e6b7890ea1227ff088e6653";"Fake_Phishing686515";"";"";"";"There are reports that this address was used in a Phishing scam. Please exercise caution when interacting with it. Reported by ScamSniffer.";"";"Phish / Hack";"phish-hack";"2";"";"1734599538"
  "0x00000000020e203eb8fc5d0724e7c93e6b002c71";"Fake_Phishing119146";"";"";"";"Warning! This addre
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/exportaddresstags-v2.json GET /v2/api
openapi: 3.1.0
info:
  title: Export Address Tags
  version: 2.0.0
  description: >-
    Generates a temporary download URL for the addresses tagged with a given
    label (CSV or ZIP file).
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api-metadata.etherscan.io
    description: Etherscan Metadata API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Export Address Tags
      operationId: getExportaddresstagsV2
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, refer to mainnet networks on our [supported
            chains](/supported-chains) page. 1 chain temporarily unavailable:
            MegaETH(4326).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to nametag for this endpoint.
          schema:
            type: string
            default: nametag
          example: nametag
        - name: action
          in: query
          required: true
          description: Set to exportaddresstags for this endpoint.
          schema:
            type: string
            default: exportaddresstags
          example: exportaddresstags
        - name: label
          in: query
          required: false
          description: >-
            Use the Label Master List to discover categeories like phish-hack,
            or pass all to export every label.
          schema:
            type: string
          example: ofac-sanctioned
        - name: format
          in: query
          required: false
          description: The response format, either zip or csv.
          schema:
            type: string
          example: csv
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: string
                    description: URL to download the exported address tags.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````